package com.unis.module.coding.service.crkxx;

import javax.validation.*;
import com.unis.module.coding.controller.admin.crkxx.vo.*;
import com.unis.module.coding.dal.dataobject.crkxx.CrkxxDO;
import com.unis.framework.common.pojo.PageResult;

/**
 * 出入库信息 Service 接口
 *
 * @author 超级管理员
 */
public interface CrkxxService {

    /**
     * 创建出入库信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createCrkxx(@Valid CrkxxSaveReqVO createReqVO);

    /**
     * 更新出入库信息
     *
     * @param updateReqVO 更新信息
     */
    void updateCrkxx(@Valid CrkxxSaveReqVO updateReqVO);

    /**
     * 删除出入库信息
     *
     * @param id 编号
     */
    void deleteCrkxx(Long id);

    /**
     * 获得出入库信息
     *
     * @param id 编号
     * @return 出入库信息
     */
    CrkxxDO getCrkxx(Long id);

    /**
     * 获得出入库信息分页
     *
     * @param pageReqVO 分页查询
     * @return 出入库信息分页
     */
    PageResult<CrkxxDO> getCrkxxPage(CrkxxPageReqVO pageReqVO);

}